%define major		4
%define api		0.7
%define libname		%mklibname notify %{major}
%define gi_name		%mklibname notify-gir %{api}
%define develname	%mklibname notify -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Desktop notifications library
Name:		libnotify
Version:	0.8.4
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://developer.gnome.org/platform-overview/stable/tech-notify.html.en
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	docbook-xsl-ns
BuildRequires:	gi-docgen
BuildRequires:	meson
BuildRequires:	xmlto
BuildRequires:	xsltproc

%description
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package -n %{libname}
Group:		System/Libraries
Summary:	Desktop notifications library - shared library

%description -n %{libname}
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package -n %{gi_name}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Desktop notifications library - headers
Requires:	%{libname} = %{version}
Requires:	%{gi_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d notify 1

%description -n %{develname}
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS NEWS
%license COPYING
%{_docdir}/libnotify/spec/
%{_bindir}/*
%{_mandir}/man1/notify-send.1*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Notify-%{api}.typelib

%files -n %develname
%doc %{_defaultdocdir}/%{name}-0/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Notify-%{api}.gir


%changelog
* Thu Mar 13 2025 daviddavid <daviddavid> 0.8.4-1.mga10
+ Revision: 2163188
- new version 0.8.4

* Thu Oct 12 2023 daviddavid <daviddavid> 0.8.3-1.mga10
+ Revision: 1994853
- new version 0.8.3

* Sat Apr 22 2023 tmb <tmb> 0.8.2-1.mga9
+ Revision: 1954269
- BR gi-docgen
- update filelists
- update to 0.8.2

* Sun Nov 13 2022 wally <wally> 0.8.1-2.mga9
+ Revision: 1906837
- drop virtual-notification-daemon requires and let DE handle pulling suitable notification-daemon (mga#31103)

* Sun Jul 17 2022 ovitters <ovitters> 0.8.1-1.mga9
+ Revision: 1869225
- new version 0.8.1
- new version 0.8.0

* Thu May 05 2022 ovitters <ovitters> 0.7.12-1.mga9
+ Revision: 1856343
- new version 0.7.12

* Wed Apr 27 2022 ovitters <ovitters> 0.7.11-1.mga9
+ Revision: 1854694
- new version 0.7.11

* Wed Apr 27 2022 ovitters <ovitters> 0.7.10-1.mga9
+ Revision: 1854673
- new version 0.7.10

* Wed Mar 30 2022 umeabot <umeabot> 0.7.9-2.mga9
+ Revision: 1835275
- Mageia 9 Mass Rebuild

* Wed Feb 26 2020 ovitters <ovitters> 0.7.9-1.mga8
+ Revision: 1550813
- new version 0.7.9

* Sat Feb 15 2020 umeabot <umeabot> 0.7.8-3.mga8
+ Revision: 1525483
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 0.7.8-2.mga7
+ Revision: 1392790
- Rebuild with meson 0.50.1

* Fri Apr 05 2019 ovitters <ovitters> 0.7.8-1.mga7
+ Revision: 1386197
- new version 0.7.8

* Sun Sep 23 2018 umeabot <umeabot> 0.7.7-2.mga7
+ Revision: 1299053
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Oct 14 2016 ovitters <ovitters> 0.7.7-1.mga6
+ Revision: 1060683
- new version 0.7.7
- dropped merged patch 2
- dropped merged patch 1

* Thu Feb 11 2016 umeabot <umeabot> 0.7.6-9.mga6
+ Revision: 955608
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 0.7.6-8.mga6
+ Revision: 847558
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 tv <tv> 0.7.6-7.mga6
+ Revision: 835798
- add annotation fixes from git

* Wed Oct 15 2014 umeabot <umeabot> 0.7.6-6.mga5
+ Revision: 739757
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.7.6-5.mga5
+ Revision: 724924
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.7.6-4.mga5
+ Revision: 681660
- Mageia 5 Mass Rebuild

* Sat Nov 23 2013 tv <tv> 0.7.6-3.mga4
+ Revision: 552391
- fix URL

* Sat Oct 19 2013 umeabot <umeabot> 0.7.6-2.mga4
+ Revision: 533648
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 ovitters <ovitters> 0.7.6-1.mga4
+ Revision: 474601
- new version 0.7.6

* Sun Sep 01 2013 tmb <tmb> 0.7.5-3.mga4
+ Revision: 473809
- rebuild for new webkit

* Sat Jan 12 2013 umeabot <umeabot> 0.7.5-2.mga3
+ Revision: 357877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 27 2012 ovitters <ovitters> 0.7.5-1.mga2
+ Revision: 227083
- clean spec
- new version 0.7.5

* Wed Sep 14 2011 fwang <fwang> 0.7.4-4.mga2
+ Revision: 143406
- drop .la files

* Wed Aug 31 2011 fwang <fwang> 0.7.4-3.mga2
+ Revision: 136928
- rebuild for bs monster
- rebuild for broken BS
- new version 0.7.4

* Sat Jul 09 2011 cjw <cjw> 0.7.3-2.mga2
+ Revision: 121313
- move gobject introspection typelib to a separate subpackage
- rebuild for automatic typelib provides and deps

* Wed Jun 08 2011 dmorgan <dmorgan> 0.7.3-1.mga2
+ Revision: 101734
- Add gobject-introspection-devel as buildrequires
- Fix file list
- New version 0.7.3

* Sat Jan 15 2011 blino <blino> 0.5.2-2.mga1
+ Revision: 19032
- remove old ldconfig scriptlets
- imported package libnotify


* Wed Dec 22 2010 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2011.0
+ Revision: 623866
- new version
- update source URL

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.5-4mdv2011.0
+ Revision: 602584
- rebuild

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 0.4.5-3mdv2010.0
+ Revision: 449905
- add bootstrap flag for build loop libnotify1 <-> notification-daemon
  (from Arnaud Patard)

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.4.5-2mdv2010.0
+ Revision: 374456
- fix license
- new devel name

* Thu Nov 20 2008 Götz Waschk <waschk@mandriva.org> 0.4.5-1mdv2009.1
+ Revision: 305258
- update to new version 0.4.5

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.4.4-7mdv2009.0
+ Revision: 225682
- rebuild
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-5mdv2008.1
+ Revision: 178979
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-3mdv2008.0
+ Revision: 34662
- requires virtual-notification-daemon

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-2mdv2008.0
+ Revision: 34506
- drop requires on notification-daemon - as it is conflicts with xfce's one
- spec file clean


* Wed Feb 28 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.4-1mdv2007.0
+ Revision: 126923
- New release 0.4.4
- Bump release
- Switch virtual-notification-daemon to notification-daemon

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.3-2mdv2007.1
+ Revision: 107078
- Add Provides

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.4.3-1mdv2007.0
+ Revision: 78549
- New Release
- Import libnotify

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.4.2-2mdv2007.0
- fix buildrequires

* Mon Jun 19 2006 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdv2007.0
- update file list
- New release 0.4.2

* Thu Apr 27 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- New release 0.4.0

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- fix buildrequires

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- major 1
- update deps
- New release 0.3.2

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- change deps
- New release 0.3.0
- use mkrel

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-3mdk
- depend on notification-daemon

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- fix buildrequires

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- initial mdk package

* Wed Jul 13 2005 Richard Hughes <richard@hughsie.com> 0.0.1-1
- initial packaging of 0.0.1

